> ## Documentation Index
> Fetch the complete documentation index at: https://redo-44af351d-docs-return-item-identifiers-endpoint.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Return Comment

> Create return comment.



## OpenAPI

````yaml /api-schema/openapi.yaml post /returns/{returnId}/comments
openapi: 3.1.0
info:
  contact:
    email: engineering-admin@getredo.com
    name: Redo Engineering
  description: |
    ## Endpoints

    Endpoints are authenticated using the Bearer authorization scheme, using the
    REDO_API_SECRET.

    ```txt
    GET /v2.2/resource HTTP/1.1
    Authorization: Bearer 77bb7598b7a972475cc7c7e171ec33af
    Host: api.getredo.com
    ```

    ## Webhooks

    Webhooks are authenticated using the Bearer authorization scheme, using
    a secret supplied by the subscriber.

    ```txt
    POST /events HTTP/1.1
    Authorization: Bearer subscriberauth123
    Host: subscriber.example.com
    ```

    Webhook events are delivered in order for each individual subject (e.g.
    return).

    If the response is not a 2xx status code, the event will be retried multiple
    times before discarding it.
  title: Redo API
  version: 2.2.1
servers:
  - url: https://api.getredo.com/v2.2
security: []
tags:
  - name: Checkout Buttons
  - name: Coverage Info
  - name: Coverage Products
  - name: Custom Events
  - name: Customer Portal
  - name: Customer Subscriptions
  - name: Customers
  - name: Inbound Shipments
  - name: Inventory Items
  - name: Inventory Levels
  - name: Invoices
  - name: Merchant Admin
  - name: Orders
  - name: Products
  - name: Returns
  - name: Storefront
  - name: Webhooks
paths:
  /returns/{returnId}/comments:
    summary: Return comment
    description: Return comment.
    parameters:
      - $ref: '#/components/parameters/return-id.param'
    post:
      tags:
        - Returns
      summary: Create Return Comment
      description: Create return comment.
      operationId: Return comment create
      requestBody:
        content:
          application/json:
            schema:
              properties:
                comment:
                  $ref: '#/components/schemas/comment.schema'
              required:
                - comment
              type: object
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  comment:
                    $ref: '#/components/schemas/comment.schema'
                required:
                  - comment
                type: object
          description: Created
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/error.schema'
          description: Error
      security:
        - Bearer: []
components:
  parameters:
    return-id.param:
      description: Return ID
      in: path
      name: returnId
      required: true
      schema:
        example: 64e4d5e837572a4813b73e40
        type: string
  schemas:
    comment.schema:
      description: Comment with either message or image.
      examples:
        - message: Item is worn.
        - image: eJxiYAEAAAD//wMAAAYABQ==
      oneOf:
        - additionalProperties: false
          properties:
            image:
              contentEncoding: base64
              description: Base64-encoded image
              title: Image
              type: string
          required:
            - image
          title: Image comment
          type: object
        - additionalProperties: false
          properties:
            message:
              description: Message.
              title: Message
              type: string
          required:
            - message
          title: Message comment
          type: object
      title: Comment
    error.schema:
      description: >-
        Problem details. See [RFC 7807 Section
        3](https://datatracker.ietf.org/doc/html/rfc7807#section-3).
      properties:
        detail:
          description: Human-readable description of the problem.
          title: Detail
          type: string
        instance:
          description: A URI reference that identifies this problem.
          format: uri-reference
          type: string
        title:
          description: Human-readable summary of the problem type.
          title: Title
          type: string
        type:
          default: about:blank
          description: A URI reference that identifies the problem type.
          format: uri-reference
          type: string
      title: Problem details
      type: object
  securitySchemes:
    Bearer:
      scheme: bearer
      type: http

````